=== debian/control ===
Source: ros-rolling-interactive-markers
Section: misc
Priority: optional
Maintainer: Dharini Dutia <dharini@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-python, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-std-msgs, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/interactive_markers
Standards-Version: 3.9.2

Package: ros-rolling-interactive-markers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-std-msgs, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Description: 3D interactive marker communication library for RViz and similar tools.
